Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.rmi.server
Interface RemoteCall

Deprecated. no replacement.

public interface RemoteCall

`RemoteCall` is an abstraction used solely by the RMI runtime (in conjunction with stubs and skeletons of remote objects) to carry out a call to a remote object. The `RemoteCall` interface is deprecated in the Java 2 platform since it is only used by deprecated methods of `java.rmi.server.RemoteRef`.

Since:
  JDK1.1
See Also:
  `RemoteRef`

Method Summary
`void` | `done()` Deprecated. no replacement
`void` | `executeCall()` Deprecated. no replacement
`ObjectInput` | `getInputStream()` Deprecated. no replacement
`ObjectOutput` | `getOutputStream()` Deprecated. no replacement
`ObjectOutput` | `getResultStream(boolean success)` Deprecated. no replacement
`void` | `releaseInputStream()` Deprecated. no replacement
`void` | `releaseOutputStream()` Deprecated. no replacement

Method Detail

### getOutputStream

    public ObjectOutput getOutputStream()
                                 throws IOException

  Deprecated. no replacement

  Return the output stream the stub/skeleton should put arguments/results into.
  Returns:
    output stream for arguments/results
  Throws:
    `IOException` - if an I/O error occurs.
  Since:
    JDK1.1

### releaseOutputStream

    public void releaseOutputStream()
                             throws IOException

  Deprecated. no replacement

  Release the output stream; in some transports this would release the stream.
  Throws:
    `IOException` - if an I/O error occurs.
  Since:
    JDK1.1

### getInputStream

    public ObjectInput getInputStream()
                               throws IOException

  Deprecated. no replacement

  Get the InputStream that the stub/skeleton should get results/arguments from.
  Returns:
    input stream for reading arguments/results
  Throws:
    `IOException` - if an I/O error occurs.
  Since:
    JDK1.1

### releaseInputStream

    public void releaseInputStream()
                            throws IOException

  Deprecated. no replacement

  Release the input stream. This would allow some transports to release the channel early.
  Throws:
    `IOException` - if an I/O error occurs.
  Since:
    JDK1.1

### getResultStream

    public ObjectOutput getResultStream(boolean success)
                                 throws IOException,
                                        StreamCorruptedException

  Deprecated. no replacement

  Returns an output stream (may put out header information relating to the success of the call). Should only succeed once per remote call.
  Parameters:
    `success` - If true, indicates normal return, else indicates exceptional return.
  Returns:
    output stream for writing call result
  Throws:
    `IOException` - if an I/O error occurs.
    `StreamCorruptedException` - If already been called.
  Since:
    JDK1.1

### executeCall

    public void executeCall()
                     throws Exception

  Deprecated. no replacement

  Do whatever it takes to execute the call.
  Throws:
    `Exception` - if a general exception occurs.
  Since:
    JDK1.1

### done

    public void done()
              throws IOException

  Deprecated. no replacement

  Allow cleanup after the remote call has completed.
  Throws:
    `IOException` - if an I/O error occurs.
  Since:
    JDK1.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.